Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenCustomPreferencePageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenPreferencePageImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenCustomPreferencePageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenCustomPreferencePage, GenPreferencePage

    public class GenCustomPreferencePageImpl

extends GenPreferencePageImpl
implements GenCustomPreferencePage

An implementation of the model object 'Gen Custom Preference Page'.

The following features are implemented:

- `Qualified Class Name`
- `Generate Boilerplate`
- `Preferences`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `GENERATE_BOILERPLATE_EDEFAULT` The default value of the '`Generate Boilerplate`' attribute
`protected boolean` `generateBoilerplate` The cached value of the '`Generate Boilerplate`' attribute
`protected org.eclipse.emf.common.util.EList<GenPreference>` `preferences` The cached value of the '`Preferences`' containment reference list
`protected static java.lang.String` `QUALIFIED_CLASS_NAME_EDEFAULT` The default value of the '`Qualified Class Name`' attribute
`protected java.lang.String` `qualifiedClassName` The cached value of the '`Qualified Class Name`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenPreferencePageImpl
`children, iD, ID_EDEFAULT, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenCustomPreferencePageImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getClassName()`
`org.eclipse.emf.common.util.EList<GenPreference>` `getPreferences()`
`java.lang.String` `getQualifiedClassName()`
`boolean` `isGenerateBoilerplate()`
`void` `setGenerateBoilerplate(boolean newGenerateBoilerplate)`
`void` `setQualifiedClassName(java.lang.String newQualifiedClassName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenPreferencePageImpl
`eBasicRemoveFromContainerFeature, getChildren, getDiagram, getID, getName, getParent, setID, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenPreferencePage
`getChildren, getDiagram, getID, getName, getParent, setID, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### QUALIFIED_CLASS_NAME_EDEFAULT

    protected static final java.lang.String QUALIFIED_CLASS_NAME_EDEFAULT

  The default value of the '`Qualified Class Name`' attribute.

  See Also:
    `getQualifiedClassName()`
  ** Generated **
  Ordered:

### qualifiedClassName

    protected java.lang.String qualifiedClassName

  The cached value of the '`Qualified Class Name`' attribute.

  See Also:
    `getQualifiedClassName()`
  ** Generated **
  Ordered:

### GENERATE_BOILERPLATE_EDEFAULT

    protected static final boolean GENERATE_BOILERPLATE_EDEFAULT

  The default value of the '`Generate Boilerplate`' attribute.

  See Also:
    `isGenerateBoilerplate()`, Constant Field Values
  ** Generated **
  Ordered:

### generateBoilerplate

    protected boolean generateBoilerplate

  The cached value of the '`Generate Boilerplate`' attribute.

  See Also:
    `isGenerateBoilerplate()`
  ** Generated **
  Ordered:

### preferences

    protected org.eclipse.emf.common.util.EList<GenPreference> preferences

  The cached value of the '`Preferences`' containment reference list.

  See Also:
    `getPreferences()`
  ** Generated **
  Ordered:

Constructor Detail

### GenCustomPreferencePageImpl

    protected GenCustomPreferencePageImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenPreferencePageImpl`
  ** Generated **

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `GenCustomPreferencePage`
  Specified by:
    `getQualifiedClassName` in interface `GenPreferencePage`
  Specified by:
    `getQualifiedClassName` in class `GenPreferencePageImpl`
  Returns:
    the value of the 'Qualified Class Name' attribute.
  See Also:
    `GenCustomPreferencePage.setQualifiedClassName(String)`, `GMFGenPackage.getGenCustomPreferencePage_QualifiedClassName()`
  ** Generated **

### setQualifiedClassName

    public void setQualifiedClassName(java.lang.String newQualifiedClassName)

  Specified by:
    `setQualifiedClassName` in interface `GenCustomPreferencePage`
  Parameters:
    `newQualifiedClassName` - the new value of the 'Qualified Class Name' attribute.
  See Also:
    `GenCustomPreferencePage.getQualifiedClassName()`
  ** Generated **

### isGenerateBoilerplate

    public boolean isGenerateBoilerplate()

  Specified by:
    `isGenerateBoilerplate` in interface `GenCustomPreferencePage`
  Returns:
    the value of the 'Generate Boilerplate' attribute.
  See Also:
    `GenCustomPreferencePage.setGenerateBoilerplate(boolean)`, `GMFGenPackage.getGenCustomPreferencePage_GenerateBoilerplate()`
  ** Generated **

### setGenerateBoilerplate

    public void setGenerateBoilerplate(boolean newGenerateBoilerplate)

  Specified by:
    `setGenerateBoilerplate` in interface `GenCustomPreferencePage`
  Parameters:
    `newGenerateBoilerplate` - the new value of the 'Generate Boilerplate' attribute.
  See Also:
    `GenCustomPreferencePage.isGenerateBoilerplate()`
  ** Generated **

### getPreferences

    public org.eclipse.emf.common.util.EList<GenPreference> getPreferences()

  Specified by:
    `getPreferences` in interface `GenCustomPreferencePage`
  Returns:
    the value of the 'Preferences' containment reference list.
  See Also:
    `GMFGenPackage.getGenCustomPreferencePage_Preferences()`, `GenPreference.getPage()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenPreferencePageImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenPreferencePageImpl`
  ** Generated **

### getClassName

    public java.lang.String getClassName()

  Description copied from class: `GenPreferencePageImpl`

  Specified by:
    `getClassName` in interface `GenPreferencePage`
  Specified by:
    `getClassName` in class `GenPreferencePageImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenPreferencePageImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenPreferencePageImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenPreferencePageImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenPreferencePageImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenPreferencePageImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.